Bug 849623 - [Webadmin Reports] If the Reports.xml doesn't exist there is a NPE
[Webadmin Reports] If the Reports.xml doesn't exist there is a NPE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alona Kaplan
Lukas Svaty
infra
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 07:33 EDT by Alona Kaplan
Modified: 2016-02-10 14:33 EST (History)
9 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alona Kaplan 2012-08-20 07:33:24 EDT
Description of problem:
The webadmin tries to read the Reports.xml from the server.
Previously if the file didn't exist in the server the request failed. Now, if hte file doesn't exist the page is redirected so the request doesn't fail. 
The new behaviour causes a NPE.
It doesnn't affect on the webadmin behaviour, the webadmin start correcty besided the exception. 

p.s- the exception can be seen just in gwt debug mode.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alona Kaplan 2012-08-20 10:40:44 EDT
http://gerrit.ovirt.org/#/c/7344/2
Comment 2 Alona Kaplan 2012-08-21 10:11:51 EDT
upstream commit 03998832218d1112e0daa5189c2bb366d1dc0d58
Comment 3 vszocs 2012-08-28 09:17:47 EDT
Additional check for HTTP response status was added to avoid parsing response body for failed responses (e.g. missing Reports.xml that results in 404 error page as HTML in response body).

Upstream patch: http://gerrit.ovirt.org/7512 [commit hash 422c1e2d3da2a67074e6a4f892257118c6683f23]
Downstream patch: https://gerrit.eng.lab.tlv.redhat.com/1595 [commit hash a51ddbbc9a53b5d8f9a627691b1b4f77e02e8589]

Note You need to log in before you can comment on or make changes to this bug.